library(FactoMineR)

getwd()  # pour constater si le rpertoire courant est  revoir

setwd('c:/Diagrammes')
getwd()


# la colonne des noms ne doit pas avoir d'intitul et chaque nom doit tre unique
d<-read.table("presse_papier.txt",sep="\t",header=T)
head(d)
d=subset(d, select= -Groupe) # Cette colonne est incompatible avec les calculs d'ACP
head(d)

res.pca = PCA(d, scale.unit=TRUE, ncp=5, graph=T)
#d: le tableau de donnes utilis
#scale.unit: pour choisir de rduire ou non les variables
#ncp: le nombre de dimensions  garder dans les rsultats
#graph: pour choisir de faire apparatre les graphiques ou non
# pour stopper le script ....session  interrupt R


#On ralise ensuite la classification hirarchique :
res.hcpc = HCPC(res.pca,nb.clust = 5, graph = T)
#res: Rsultat d'une analyse factorielle ou un data frame.
#nb.clust: Le nombre de clusters (groupes)  gnrer.
#graph: si TRUE, les graphiques sont affichs

plot(res.hcpc, choice = "3D.map")

# exporter les Groupes rcuprables sous Diagrammes et les coefficients
write.infile(    res.hcpc$data.clust['clust'], file="acp_res_clusters.txt", sep="\t") ## ====>  recharger dans DIAGRAMMES 
#                                                                                     ## bouton  [ Clusters => Groupe ]
write.infile(dimdesc(res.pca)$call$X['Dim.1'], file ='acp_res_dim1.txt', sep='\t')

# et toute la description
filename = 'acp_res_dimdesc.txt'
sink(filename)
dimdesc(res.pca, axes=c(1,2))
sink()  # fermeture du fichier

