## graphiques density ridges

library(ggridges)
library(ggplot2)
library(dplyr)
library(tidyr)
library(forcats)
library(cowplot)

## repertoire par defaut des donnees
setwd('c:/Diagrammes')
getwd() 

d= read.table  ("presse_papier.txt"     ,sep ="\t", header=TRUE, skip=0, dec=".")
head(d)

# exemples simples
ggplot(d, aes(x=c25.C    , y=Nom, fill=Groupe, group=Nom)) + geom_density_ridges()
#ggplot(d, aes(x=Ca.mg.L. , y=Nom, fill=Groupe, group=Nom)) + geom_density_ridges()+ theme_ridges()+
#  geom_point(aes(Ca.mg.L.,Nom)) +  xlab("Calcium ppms")


###################################################################
courbe = function(d, d1, s1, xn, xv) {  # xn = abscisse en unit (mg/L...) du nom et xv de la valeur de n
  y0 = 1.1
  y1 = y0 + (length(table(factor(d$Nom)))- 1) 
  a = seq(from= y0,to= y1, by=1) 
  
  ggplot(d, aes(x=d1, y= Nom, fill=Groupe, group=Nom)) +
    geom_density_ridges()+scale_fill_manual(values = c("#00AFBB", "#E7B800", "#FC4E07"))+ theme_ridges()+
    annotate("text", x = xn, y = a, label ="n =")+
    annotate("text", x = xv, y = a, label =table(factor(d$Nom)))+
    geom_point(aes(d1, Nom)) +  xlab(s1) +
    ylab("Point de prlvement")
}###################################################################

###################################################################
#Nom Libell Date  Groupe  T.C   pH c25.C Ca.mg.L. Mg.mg.L. Na.mg.L. K.mg.L. HCO3.mg.L. Cl.mg.L. SO4.mg.L. NO3.mg.L. SiO2.mg.L. O2
###################################################################

courbe(d, d$c25.C, "Conductivit (S/cm)", 70, 95)

courbe(d, d$Cl.mg.L., "Chlorures (mg/L)", 0, 1.5)

courbe(d, d$HCO3.mg.L., "HCO3- (mg/l)", 0, 15)

courbe(d, d$O2, "O2 (%)", -50, -40)

